"""
SPDX-License-Identifier: GPL-3.0-or-later
SPDX-FileCopyrightText: 2020 CERN
"""

import pytest
import time
from PyAdcLib import PyAdcConf, PyFmcAdc100m14b4ch

class TestAdcTime(object):

    def test_time_flows(self, adc100m14b4cha):
        """Just check that the time flows more or less correctly second by
        second for a minute"""
        conf = PyAdcConf(PyAdcConf.ADC_CONF_TYPE_BRD, 0)
        conf.mask_set(PyAdcConf.ADC_CONF_UTC_TIMING_BASE_S)
        adc100m14b4cha.retrieve_config(conf)
        t_prev = conf.value_get(PyAdcConf.ADC_CONF_UTC_TIMING_BASE_S)
        for i in range(20):
            time.sleep(1)
            adc100m14b4cha.retrieve_config(conf)
            sec = conf.value_get(PyAdcConf.ADC_CONF_UTC_TIMING_BASE_S)
            assert t_prev + 1 == sec
            t_prev = sec
